'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-f7def455.js');
const level_utils = require('./level.utils-a811d57d.js');

const NavigationLevels = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    async getLevelInfos() {
        return await level_utils.readSubLevels(this.el, 'bal-navigation-level-meta');
    }
    render() {
        return (index.h(index.Host, { class: "is-hidden" }, index.h("slot", null)));
    }
    get el() { return index.getElement(this); }
};

exports.bal_navigation_levels = NavigationLevels;
