export const showContainerElement = (containerEl) => {
    if (containerEl) {
        showElement(containerEl);
    }
};
export const hideContainerElement = (containerEl) => {
    if (containerEl) {
        hideElement(containerEl);
    }
};
export const showArrowElement = (arrowEl) => {
    if (arrowEl) {
        showElement(arrowEl);
    }
};
export const hideArrowElement = (arrowEl) => {
    if (arrowEl) {
        Object.assign(arrowEl.style, {
            left: '',
            top: '',
            display: 'none',
            visibility: 'hidden',
        });
    }
};
export const showElement = (element) => {
    if (element) {
        element.style.setProperty('display', 'block');
        element.style.setProperty('visibility', 'visible');
    }
};
export const hideElement = (element) => {
    if (element) {
        element.style.removeProperty('display');
        element.style.removeProperty('visibility');
    }
};
