/// <reference path="../../../interfaces.d.ts" />
declare namespace BalProps {
    type BalDateCalendarAllowedDatesCallback = (isoDate: string) => boolean;
}
declare namespace BalEvents {
    interface BalDateCalendarCustomEvent<T> extends CustomEvent<T> {
        detail: T;
        target: HTMLBalDateCalendarElement;
    }
    type BalDateCalendarChangeDetail = string | undefined;
    type BalDateCalendarChange = BalDateCalendarCustomEvent<BalDateCalendarChangeDetail>;
    interface BalDateCalendarCellCustomEvent<T> extends CustomEvent<T> {
        detail: T;
        target: HTMLBalDateCalendarCellElement;
    }
    type BalDateCellSelectDetail = string | undefined;
    type BalDateCellSelect = BalDateCalendarCellCustomEvent<BalDateCellSelectDetail>;
}
