import { NavLinkItemObserver } from '../bal-nav.types';
export declare class NavLinkItem implements BalProps.BalNavLinkItem {
    private observer;
    id: string;
    label: string;
    value: string;
    clickable: boolean;
    active: boolean;
    data: undefined;
    href?: string;
    target?: BalProps.BalButtonTarget;
    onClick: (ev: MouseEvent) => void;
    onAccordionClick: (ev: MouseEvent) => void;
    constructor(item: BalProps.BalNavLinkItem, observer: NavLinkItemObserver);
    get type(): string;
    get isLink(): boolean;
    toJson(): BalEvents.BalNavClickedItem;
    renderTouch(_context?: Partial<{
        onClick: () => void;
        activeMetaLinkValue: string;
        activeMenuLinkValue: string;
    }>): any;
    render(_context?: {
        onClick: () => void;
    }): any;
}
