import { ComponentInterface, EventEmitter } from '../../stencil-public-runtime';
import { LogInstance, Loggable } from '../../utils/log';
export declare class Tooltip implements ComponentInterface, Loggable {
    private tooltipId;
    el: HTMLElement;
    private containerEl;
    private contentEl;
    private arrowEl;
    private trigger;
    private cleanup?;
    log: LogInstance;
    createLogger(log: LogInstance): void;
    reference: string;
    placement: BalProps.BalTooltipPlacement;
    offset: number;
    demo: boolean;
    presented: boolean;
    contentWidth?: number;
    contentWidthChanged(newValue?: number, oldValue?: number): void;
    balWillAnimate: EventEmitter<BalEvents.BalTooltipWillAnimateDetail>;
    balDidAnimate: EventEmitter<BalEvents.BalTooltipDidAnimateDetail>;
    componentDidLoad(): void;
    present(): Promise<boolean>;
    dismiss(): Promise<boolean>;
    update(): Promise<boolean>;
    private get triggerElement();
    render(): any;
}
