import { MaskBlockOption } from './mask-block-interfaces';
export declare class MaskBlock {
    private _from;
    private _to;
    private _mask;
    private _isSeparator;
    private _allowedKeys;
    private _format;
    private _locale;
    constructor(option: Partial<MaskBlockOption>);
    format(value: string): string;
    get isSeparator(): boolean;
    get to(): number;
    get from(): number;
    get mask(): string;
    get allowedKeys(): string[];
    onI18nChange(locale: string): void;
    getValueOfTheBlock(value: string): string;
    isTouched(value: string): boolean;
    verifyAllowedKeyHits(key: string): boolean;
}
