import { MaskContextOptions } from './mask-context-interfaces';
export interface MaskPositionTarget {
    selectionStart: number | null;
    selectionEnd: number | null;
    value: string;
}
export interface MaskPositionOptions extends MaskContextOptions<any> {
    isBackspace?: boolean;
}
export declare class MaskPosition {
    protected _options: MaskPositionOptions;
    private _position;
    private _positionEnd;
    private _isRangeSelection;
    constructor(_options: MaskPositionOptions);
    get isRangeSelection(): boolean;
    get value(): number;
    set value(index: number);
    toStart(): void;
    toEnd(): void;
    next(next?: number): number;
    previous(previous?: number): number;
    submit(): void;
    private getTarget;
}
