import { d as defaultLoggerConfig } from './log.js';
import { h as balIconClose, i as balIconInfoCircle, j as balIconPlus, k as balIconMinus, l as balIconEdit, m as balIconTrash, n as balIconNavGoLeft, p as balIconNavGoRight, q as balIconNavGoDown, r as balIconNavGoUp, x as balIconCheck, y as balIconDate, z as balIconDocument, A as balIconUpload, B as balIconMenuBars, C as balIconFacebook, D as balIconInstagram, E as balIconLinkedin, F as balIconTwitter, G as balIconX, H as balIconXing, I as balIconYoutube, J as balIconWeb, t as balIconCaretDown, v as balIconCaretLeft, w as balIconCaretRight, s as balIconCaretUp } from './config.utils.js';

const defaultIcons = {
    balIconClose,
    balIconInfoCircle,
    balIconPlus,
    balIconMinus,
    balIconEdit,
    balIconTrash,
    balIconNavGoLeft,
    balIconNavGoRight,
    balIconNavGoDown,
    balIconNavGoUp,
    balIconCheck,
    balIconDate,
    balIconDocument,
    balIconUpload,
    balIconMenuBars,
    balIconFacebook,
    balIconInstagram,
    balIconLinkedin,
    balIconTwitter,
    balIconX,
    balIconXing,
    balIconYoutube,
    balIconWeb,
    balIconCaretDown,
    balIconCaretLeft,
    balIconCaretRight,
    balIconCaretUp,
};
const defaultConfig = {
    region: 'CH',
    language: 'de',
    allowedLanguages: ['de', 'fr', 'it', 'en'],
    icons: defaultIcons,
    fallbackLanguage: 'de',
    logger: defaultLoggerConfig,
    animated: true,
};
const defaultLocale = `${defaultConfig.language}-${defaultConfig.region}`;

export { defaultLocale as a, defaultConfig as d };
