'use strict';

const log = require('./log-71656e64.js');
const icons_constant = require('./icons.constant-f1294def.js');

const defaultIcons = {
    balIconClose: icons_constant.balIconClose,
    balIconInfoCircle: icons_constant.balIconInfoCircle,
    balIconPlus: icons_constant.balIconPlus,
    balIconMinus: icons_constant.balIconMinus,
    balIconEdit: icons_constant.balIconEdit,
    balIconTrash: icons_constant.balIconTrash,
    balIconNavGoLeft: icons_constant.balIconNavGoLeft,
    balIconNavGoRight: icons_constant.balIconNavGoRight,
    balIconNavGoDown: icons_constant.balIconNavGoDown,
    balIconNavGoUp: icons_constant.balIconNavGoUp,
    balIconCheck: icons_constant.balIconCheck,
    balIconDate: icons_constant.balIconDate,
    balIconDocument: icons_constant.balIconDocument,
    balIconUpload: icons_constant.balIconUpload,
    balIconMenuBars: icons_constant.balIconMenuBars,
    balIconFacebook: icons_constant.balIconFacebook,
    balIconInstagram: icons_constant.balIconInstagram,
    balIconLinkedin: icons_constant.balIconLinkedin,
    balIconTwitter: icons_constant.balIconTwitter,
    balIconX: icons_constant.balIconX,
    balIconXing: icons_constant.balIconXing,
    balIconYoutube: icons_constant.balIconYoutube,
    balIconWeb: icons_constant.balIconWeb,
    balIconCaretDown: icons_constant.balIconCaretDown,
    balIconCaretLeft: icons_constant.balIconCaretLeft,
    balIconCaretRight: icons_constant.balIconCaretRight,
    balIconCaretUp: icons_constant.balIconCaretUp,
};
const defaultConfig = {
    region: 'CH',
    language: 'de',
    allowedLanguages: ['de', 'fr', 'it', 'en'],
    icons: defaultIcons,
    fallbackLanguage: 'de',
    logger: log.defaultLoggerConfig,
    animated: true,
};
const defaultLocale = `${defaultConfig.language}-${defaultConfig.region}`;

exports.defaultConfig = defaultConfig;
exports.defaultLocale = defaultLocale;
