import { d as defaultLoggerConfig } from './log-cf8e52ef.js';
import { b as balIconClose, a as balIconInfoCircle, c as balIconPlus, d as balIconMinus, e as balIconEdit, f as balIconTrash, g as balIconNavGoLeft, h as balIconNavGoRight, i as balIconNavGoDown, j as balIconNavGoUp, k as balIconCheck, l as balIconDate, m as balIconDocument, n as balIconUpload, o as balIconMenuBars, p as balIconFacebook, q as balIconInstagram, r as balIconLinkedin, s as balIconTwitter, t as balIconX, u as balIconXing, v as balIconYoutube, w as balIconWeb, x as balIconCaretDown, y as balIconCaretLeft, z as balIconCaretRight, A as balIconCaretUp } from './icons.constant-47b0ca12.js';

const defaultIcons = {
    balIconClose,
    balIconInfoCircle,
    balIconPlus,
    balIconMinus,
    balIconEdit,
    balIconTrash,
    balIconNavGoLeft,
    balIconNavGoRight,
    balIconNavGoDown,
    balIconNavGoUp,
    balIconCheck,
    balIconDate,
    balIconDocument,
    balIconUpload,
    balIconMenuBars,
    balIconFacebook,
    balIconInstagram,
    balIconLinkedin,
    balIconTwitter,
    balIconX,
    balIconXing,
    balIconYoutube,
    balIconWeb,
    balIconCaretDown,
    balIconCaretLeft,
    balIconCaretRight,
    balIconCaretUp,
};
const defaultConfig = {
    region: 'CH',
    language: 'de',
    allowedLanguages: ['de', 'fr', 'it', 'en'],
    icons: defaultIcons,
    fallbackLanguage: 'de',
    logger: defaultLoggerConfig,
    animated: true,
};
const defaultLocale = `${defaultConfig.language}-${defaultConfig.region}`;

export { defaultLocale as a, defaultConfig as d };
