import { FunctionalComponent } from '../../../../stencil-public-runtime';
import { DayCell, WeekdayCell } from '../../utils/calendar';
export interface CalendarGridProps {
    isVisible: boolean;
    grid: DayCell[];
    weekdays: WeekdayCell[];
    selectedDate: string;
    firstDayOfWeek: number;
    ref: (el?: HTMLDivElement) => void;
    onSelectDay: (isoDate: string | undefined) => void;
}
export declare const CalendarGrid: FunctionalComponent<CalendarGridProps>;
