import { FunctionalComponent } from '../../../../stencil-public-runtime';
import { I18n } from '../../../../interfaces';
export interface CalendarNavProps {
    language: keyof I18n<any>;
    monthFullNames: string[];
    month: number;
    year: number;
    isCalendarVisible: boolean;
    isListVisible: boolean;
    onClickSelectMonthAndYear: (ev: MouseEvent) => void;
    onClickPreviousMonth: (ev: MouseEvent) => void;
    onClickNextMonth: (ev: MouseEvent) => void;
}
export declare const CalendarNav: FunctionalComponent<CalendarNavProps>;
