export declare function isNumber(value: any): boolean;
export declare function isNotNumber(value: any): boolean;
export declare function toNumber(value: any, decimalPoints?: number): number | undefined;
export declare function toFixedNumber(value: string, decimalPoints?: number): string;
export declare function mapDecimalSeparator(value: string): string;
export declare function toUserFormattedNumber(value: string, decimalPoints?: number, suffix?: string): string;
export type ValidateKeyDownOptions = {
    decimal: number;
    key: string;
    newValue: string;
    oldValue: string;
    selectionStart: number | null;
    selectionEnd: number | null;
};
export declare const countDecimalSeparators: (value: string) => number;
export declare function validateKeyDown({ key, selectionStart, selectionEnd, newValue, decimal, }: ValidateKeyDownOptions): boolean;
