/// <reference path="../../interfaces.d.ts" />
declare namespace BalProps {
    type BalTooltipTouchPosition = 'top' | 'bottom';
    type BalTooltipVariant = 'popover' | 'fullscreen' | 'drawer';
    type BalTooltipPlacement = 'top' | 'right' | 'bottom' | 'left';
}
declare namespace BalEvents {
    interface BalTooltipCustomEvent<T> extends CustomEvent<T> {
        detail: T;
        target: HTMLBalTooltipElement;
    }
    type BalTooltipChangeDetail = boolean;
    type BalTooltipChange = BalTooltipCustomEvent<BalTooltipChangeDetail>;
    type BalTooltipWillAnimateDetail = boolean;
    type BalTooltipWillAnimate = BalTooltipCustomEvent<BalTooltipWillAnimateDetail>;
    type BalTooltipDidAnimateDetail = boolean;
    type BalTooltipDidAnimate = BalTooltipCustomEvent<BalTooltipDidAnimateDetail>;
}
