import { MaskContext } from '../context/mask-context';
import { MaskBlock } from './mask-block';
export declare class MaskBlockList {
    private _list;
    constructor(_list?: MaskBlock[]);
    get lastPosition(): number;
    get list(): MaskBlock[];
    set list(list: MaskBlock[]);
    clone(): MaskBlockList;
    findByIndex(index: number, blocks?: MaskBlock[]): MaskBlock | undefined;
    getPlaceholderMask(): string;
    getRawValueWithoutMaskByContext(context: MaskContext): string;
    getRawValueWithoutMask(value?: string): string;
    formatBlocks(value: string, activeBlockIndex: number): string;
    getBlockIndexFromPosition(position: number): number | undefined;
    verifyCallOfNextSeparator(key: string, index: number): boolean;
}
