import { MaskContext } from './mask-context';
import { MaskContextEvent } from './mask-context-interfaces';
export interface MaskClipboardContextEvent extends MaskContextEvent {
    clipboardData: {
        getData(format: string): string;
    } | null;
}
export declare class MaskClipboardContext extends MaskContext<MaskClipboardContextEvent> {
    get clipboardData(): string | undefined;
}
