import { MaskContext } from './mask-context';
import { MaskContextEvent } from './mask-context-interfaces';
export interface MaskValueChangedContextEvent extends MaskContextEvent {
    newValue?: string | undefined;
    oldValue?: string | undefined;
}
export declare class MaskValueChangedContext extends MaskContext<MaskValueChangedContextEvent> {
    get newValue(): string | undefined;
    get oldValue(): string | undefined;
    get didValueChange(): boolean;
}
