import { MaskBlock } from '../blocks';
import { AbstractMask } from '../mask';
import { MaskClipboardContext, MaskFocusContext } from '../context';
export declare class DateMask extends AbstractMask {
    maxLength: number;
    minLength: number;
    inputMode: BalProps.BalInputInputMode;
    private dayMask;
    private monthMask;
    private yearMask;
    constructor();
    onParseValue(inputValue?: string): string;
    onFormatValue(isoDate?: string): string;
    onPaste(context: MaskClipboardContext, _block: MaskBlock, _index: number): void;
    onBlur(context: MaskFocusContext): void;
}
